Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.i2ptunnel.udp
Class I2PSinkAnywhere

    java.lang.Object
      net.i2p.i2ptunnel.udp.I2PSinkAnywhere

All Implemented Interfaces:
  Sink

    public class I2PSinkAnywhere

extends Object
implements Sink

Producer This sends to any destination specified in send()

Author:
  zzz modded from I2PSink by welterde

Field Summary
`protected Destination` | `dest`
`protected I2PDatagramMaker` | `maker`
`protected boolean` | `raw`
`protected I2PSession` | `sess`

Constructor Summary
`I2PSinkAnywhere(I2PSession sess)`
`I2PSinkAnywhere(I2PSession sess, boolean raw)`

Method Summary
`void` | `send(Destination to, byte[] data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### raw

    protected boolean raw

### sess

    protected I2PSession sess

### dest

    protected Destination dest

### maker

    protected final I2PDatagramMaker maker

Constructor Detail

### I2PSinkAnywhere

    public I2PSinkAnywhere(I2PSession sess)

### I2PSinkAnywhere

    public I2PSinkAnywhere(I2PSession sess,
                           boolean raw)

Method Detail

### send

    public void send(Destination to,
                     byte[] data)

  Specified by:
    `send` in interface `Sink`
  Parameters:
    `to` - - where it's going

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD